## php.java.bridge
Class ClassicResponse

    java.lang.Object
      php.java.bridge.Response
          php.java.bridge.ClassicResponse

    public class ClassicResponse

extends Response

This class is used to write the response to the front-end.

Author:
  jostb

Field Summary

Fields inherited from class php.java.bridge.Response
`COERCE_WRITER, VALUES_WRITER`

Constructor Summary
`ClassicResponse(JavaBridge bridge)` Creates a new response object.

Method Summary
`Response` `copyResponse()` Flush the current output buffer and create a new Response object where are writers have their default value

Methods inherited from class php.java.bridge.Response
`flush, selectWriter, setArrayValuesWriter, setAsyncWriter, setCoerceWriter, setDefaultWriter, setFinish, setResult, setResultClass, setResultException, setResultObject, setResultProcedure, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassicResponse

    public ClassicResponse(JavaBridge bridge)

  Creates a new response object. The object is re-used for each packed.

  Parameters:
    `bridge` - The bridge.

Method Detail

### copyResponse

    public Response copyResponse()
                          throws java.io.IOException

  Flush the current output buffer and create a new Response object where are writers have their default value

  Overrides:
    `copyResponse` in class `Response`
  Throws:
    `java.io.IOException`